Commit 03e76e6966e14cea83521949724c0e974e5ad170

Authored by iOS-Xiaowen
1 parent 6856ae60

no message

CNLiveBLoginModule/Classes/Controller/CNLiveLoginController.m
... ... @@ -285,7 +285,7 @@
285 285 _close = [UIButton buttonWithType:UIButtonTypeCustom];
286 286 _close.frame = CGRectMake(SCREEN_WIDTH-NavigationBarHeight-10, StatusBarHeight, NavigationBarHeight, NavigationBarHeight);
287 287 _close.hidden = !self.isShowClose;
288   - UIImage *image = [self getImageWithImageName:@"login_close" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  288 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_close" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
289 289 [_close setImage:image forState:UIControlStateNormal];
290 290 [_close addTarget:self action:@selector(closeDidSelected:) forControlEvents:UIControlEventTouchUpInside];
291 291 _close.adjustsImageWhenHighlighted = NO;
... ...
CNLiveBLoginModule/Classes/ThreeLogin/CNLiveBindingTelView.m
... ... @@ -85,7 +85,7 @@ static const NSInteger timeValue = 1.5;
85 85 switch (type) {
86 86 case CNLiveSendAuthRespWX:
87 87 {
88   - UIImage *image = [self getImageWithImageName:@"login_binding_wechat" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  88 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_binding_wechat" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
89 89 [self.three setImage:image forState:UIControlStateNormal];
90 90 [self.three setTitle:@"微信" forState:UIControlStateNormal];
91 91 self.desc.text = @"确定后,此微信账号将与网家家账号绑定";
... ... @@ -93,7 +93,7 @@ static const NSInteger timeValue = 1.5;
93 93 break;
94 94 case CNLiveSendAuthRespQQ:
95 95 {
96   - UIImage *image = [self getImageWithImageName:@"login_binding_qq" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  96 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_binding_qq" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
97 97 [self.three setImage:image forState:UIControlStateNormal];
98 98 [self.three setTitle:@"QQ" forState:UIControlStateNormal];
99 99 self.desc.text = @"确定后,此QQ账号将与网家家账号绑定";
... ... @@ -101,7 +101,7 @@ static const NSInteger timeValue = 1.5;
101 101 break;
102 102 case CNLiveSendAuthRespWB:
103 103 {
104   - UIImage *image = [self getImageWithImageName:@"login_binding_weibo" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  104 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_binding_weibo" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
105 105 [self.three setImage:image forState:UIControlStateNormal];
106 106 [self.three setTitle:@"微博" forState:UIControlStateNormal];
107 107 self.desc.text = @"确定后,此微博账号将与网家家账号绑定";
... ... @@ -109,7 +109,7 @@ static const NSInteger timeValue = 1.5;
109 109 break;
110 110 case CNLiveSendAuthRespApple:
111 111 {
112   - UIImage *image = [self getImageWithImageName:@"login_binding_apple" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  112 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_binding_apple" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
113 113 [self.three setImage:image forState:UIControlStateNormal];
114 114 [self.three setTitle:@"苹果" forState:UIControlStateNormal];
115 115 self.desc.text = @"确定后,此苹果账号将与网家家账号绑定";
... ... @@ -132,7 +132,7 @@ static const NSInteger timeValue = 1.5;
132 132  
133 133 QMUIButton *three = [QMUIButton buttonWithType:UIButtonTypeCustom];
134 134 three.frame = CGRectMake(btnLeft, btnTop, btnWidth, btnHeight);
135   - [three setImage:[self getImageWithImageName:@"login_binding_logo" bundleName:@"CNLiveBLoginModule" targetClass:[self class]] forState:UIControlStateNormal];
  135 + [three setImage:[self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_binding_logo" bundleName:@"CNLiveBLoginModule" targetClass:[self class]] forState:UIControlStateNormal];
136 136 three.imagePosition = QMUIButtonImagePositionTop;
137 137 three.spacingBetweenImageAndTitle = 10;
138 138 [three setTitleColor:[UIColor colorWithRed:102/255.0 green:102/255.0 blue:102/255.0 alpha:1.0] forState:UIControlStateNormal];
... ... @@ -143,7 +143,7 @@ static const NSInteger timeValue = 1.5;
143 143 self.three = three;
144 144  
145 145 UIImageView *bindingImage = [[UIImageView alloc]initWithFrame:CGRectMake(three.right, three.top, three.width, three.height)];
146   - UIImage *image1 = [self getImageWithImageName:@"login_binding_ways" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  146 + UIImage *image1 = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_binding_ways" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
147 147 bindingImage.image = image1;
148 148 bindingImage.contentMode = UIViewContentModeCenter;
149 149 [self addSubview:bindingImage];
... ... @@ -151,7 +151,7 @@ static const NSInteger timeValue = 1.5;
151 151  
152 152 QMUIButton *netadd = [QMUIButton buttonWithType:UIButtonTypeCustom];
153 153 netadd.frame = CGRectMake(bindingImage.right, three.top, three.width, three.height);
154   - [netadd setImage:[self getImageWithImageName:@"login_binding_logo" bundleName:@"CNLiveBLoginModule" targetClass:[self class]] forState:UIControlStateNormal];
  154 + [netadd setImage:[self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_binding_logo" bundleName:@"CNLiveBLoginModule" targetClass:[self class]] forState:UIControlStateNormal];
155 155 [netadd setTitle:@"网家家企业版" forState:UIControlStateNormal];
156 156 [netadd setTitleColor:[UIColor colorWithRed:102/255.0 green:102/255.0 blue:102/255.0 alpha:1.0] forState:UIControlStateNormal];
157 157 netadd.titleLabel.font = [UIFont systemFontOfSize:13];
... ... @@ -380,7 +380,7 @@ static const NSInteger timeValue = 1.5;
380 380 [_code setTitle:[NSString stringWithFormat:@"+%@",_countryCode] forState:UIControlStateNormal];
381 381 [_code setTitleColor:[UIColor colorWithRed:49/255.0 green:49/255.0 blue:49/255.0 alpha:1.0] forState:UIControlStateNormal];
382 382 _code.titleLabel.font = [UIFont systemFontOfSize:16.0];
383   - [_code setImage:[self getImageWithImageName:@"login_down" bundleName:@"CNLiveBLoginModule" targetClass:[self class]] forState:UIControlStateNormal];
  383 + [_code setImage:[self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_down" bundleName:@"CNLiveBLoginModule" targetClass:[self class]] forState:UIControlStateNormal];
384 384 _code.adjustsImageWhenHighlighted = NO;
385 385 //button图片的偏移量,距上左下右分别(0, 0, 0, 0)像素点
386 386 _code.imageEdgeInsets = UIEdgeInsetsMake(0, 60, 0, 0);
... ...
CNLiveBLoginModule/Classes/ThreeLogin/CNLiveThreeLoginView.m
... ... @@ -47,20 +47,20 @@ static NSInteger const rowHeight = 60;
47 47 rightLine.backgroundColor = [UIColor colorWithRed:173/255.0 green:173/255.0 blue:173/255.0 alpha:1.0];
48 48 [self addSubview:rightLine];
49 49  
50   - NSMutableArray *pics = [NSMutableArray arrayWithArray:@[@"login_qq",@"login_weibo"]];
  50 + NSMutableArray *pics = [NSMutableArray arrayWithArray:@[@"CNLiveBLoginModule.bundle/login_qq",@"CNLiveBLoginModule.bundle/login_weibo"]];
51 51 if([WXApi isWXAppInstalled]||[[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"wechat://"]]){
52   - [pics insertObject:@"login_wechat" atIndex:0];
  52 + [pics insertObject:@"CNLiveBLoginModule.bundle/login_wechat" atIndex:0];
53 53 }
54 54 NSUInteger number = pics.count;
55 55 if (@available(iOS 13, *)) {
56   - [pics addObject:@"login_apple"];
  56 + [pics addObject:@"CNLiveBLoginModule.bundle/login_apple"];
57 57 number = pics.count + 1;
58 58 }
59 59 CGFloat btnWidth = width/number*1.0;
60 60  
61 61 for(int i = 0; i < pics.count; i++){
62 62 // 苹果登录在最后一个
63   - if (pics.count-1 == i && [pics[pics.count-1] isEqualToString:@"login_apple"]) {
  63 + if (pics.count-1 == i && [pics[pics.count-1] isEqualToString:@"CNLiveBLoginModule.bundle/login_apple"]) {
64 64 if (@available(iOS 13, *)) {
65 65 ASAuthorizationAppleIDButton *btn = [ASAuthorizationAppleIDButton buttonWithType:ASAuthorizationAppleIDButtonTypeDefault style:ASAuthorizationAppleIDButtonStyleWhite];
66 66 btn.tag = 10000+i;
... ...
CNLiveBLoginModule/Classes/View/CNLiveCompleteInfoView.m
... ... @@ -61,7 +61,7 @@ static const NSInteger timeValue = 1.5;
61 61 head.layer.cornerRadius = 40;
62 62 head.layer.masksToBounds = YES;
63 63 head.adjustsImageWhenHighlighted = NO;
64   - UIImage *image = [self getImageWithImageName:@"login_camera" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  64 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_camera" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
65 65 [head setImage:image forState:UIControlStateNormal];
66 66 [head addTarget:self action:@selector(headDidClicked:) forControlEvents:UIControlEventTouchUpInside];
67 67 [self addSubview:head];
... ...
CNLiveBLoginModule/Classes/View/CNLiveLoginCountryView.m
... ... @@ -47,7 +47,7 @@
47 47 [code setTitle:[NSString stringWithFormat:@"+%@",_countryCode] forState:UIControlStateNormal];
48 48 [code setTitleColor:[UIColor colorWithRed:51/255.0 green:51/255.0 blue:51/255.0 alpha:1.0] forState:UIControlStateNormal];
49 49 code.titleLabel.font = [UIFont systemFontOfSize:14];
50   - UIImage *image = [self getImageWithImageName:@"login_country" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  50 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_country" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
51 51 [code setImage:image forState:UIControlStateNormal];
52 52 code.adjustsImageWhenHighlighted = NO;
53 53 //button图片的偏移量,距上左下右分别(0, 0, 0, 0)像素点
... ...
CNLiveBLoginModule/Classes/View/CNLiveLoginView.m
... ... @@ -64,7 +64,7 @@ static const NSInteger timeValue = 1.5;
64 64 }
65 65 - (void)createSubviews:(CGRect)frame{
66 66 UIImageView *logo = [[UIImageView alloc] initWithFrame:CGRectMake((frame.size.width-75)/2.0, 0, 75, 100)];
67   - UIImage *image = [self getImageWithImageName:@"login_logo_b" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  67 + UIImage *image = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_logo_b" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
68 68 logo.image = image;
69 69 [self addSubview:logo];
70 70 self.logo = logo;
... ... @@ -104,7 +104,7 @@ static const NSInteger timeValue = 1.5;
104 104 countDown.dataSource = self;
105 105 countDown.delegate = self;
106 106 countDown.frame = CGRectMake(frame.size.width-80, account.bottom+space+10, 80, rowHeight-10);
107   - UIImage *image2 = [self getImageWithImageName:BusinessLive?@"login_get_code_b":@"login_get_code" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
  107 + UIImage *image2 = [self getImageWithImageName:@"CNLiveBLoginModule.bundle/login_get_code_b" bundleName:@"CNLiveBLoginModule" targetClass:[self class]];
108 108 [countDown setImage:image2 forState:UIControlStateNormal];
109 109 countDown.adjustsImageWhenHighlighted = NO;
110 110 [countDown setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
... ...
Example/CNLiveBLoginModule.xcodeproj/project.pbxproj
... ... @@ -207,8 +207,8 @@
207 207 6003F586195388D20070C39A /* Sources */,
208 208 6003F587195388D20070C39A /* Frameworks */,
209 209 6003F588195388D20070C39A /* Resources */,
210   - 26FFD7644A068AC932045BA2 /* [CP] Embed Pods Frameworks */,
211   - FC7F634D4BA3ADBEED846358 /* [CP] Copy Pods Resources */,
  210 + 2E5915800A90F4298D3AF712 /* [CP] Embed Pods Frameworks */,
  211 + 6992D685011842652A7384DF /* [CP] Copy Pods Resources */,
212 212 );
213 213 buildRules = (
214 214 );
... ... @@ -299,7 +299,7 @@
299 299 /* End PBXResourcesBuildPhase section */
300 300  
301 301 /* Begin PBXShellScriptBuildPhase section */
302   - 26FFD7644A068AC932045BA2 /* [CP] Embed Pods Frameworks */ = {
  302 + 2E5915800A90F4298D3AF712 /* [CP] Embed Pods Frameworks */ = {
303 303 isa = PBXShellScriptBuildPhase;
304 304 buildActionMask = 2147483647;
305 305 files = (
... ... @@ -375,29 +375,31 @@
375 375 shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-frameworks.sh\"\n";
376 376 showEnvVarsInLog = 0;
377 377 };
378   - 6F4CF912241B66B2163C0256 /* [CP] Check Pods Manifest.lock */ = {
  378 + 6992D685011842652A7384DF /* [CP] Copy Pods Resources */ = {
379 379 isa = PBXShellScriptBuildPhase;
380 380 buildActionMask = 2147483647;
381 381 files = (
382 382 );
383   - inputFileListPaths = (
384   - );
385 383 inputPaths = (
386   - "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
387   - "${PODS_ROOT}/Manifest.lock",
388   - );
389   - name = "[CP] Check Pods Manifest.lock";
390   - outputFileListPaths = (
  384 + "${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh",
  385 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBLoginModule/CNLiveBLoginModule.bundle",
  386 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBUserAgreement/CNLiveBUserAgreement.bundle",
  387 + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle",
  388 + "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle",
391 389 );
  390 + name = "[CP] Copy Pods Resources";
392 391 outputPaths = (
393   - "$(DERIVED_FILE_DIR)/Pods-CNLiveBLoginModule_Tests-checkManifestLockResult.txt",
  392 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBLoginModule.bundle",
  393 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBUserAgreement.bundle",
  394 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle",
  395 + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle",
394 396 );
395 397 runOnlyForDeploymentPostprocessing = 0;
396 398 shellPath = /bin/sh;
397   - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
  399 + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh\"\n";
398 400 showEnvVarsInLog = 0;
399 401 };
400   - FB82CB4346E92958307849D9 /* [CP] Check Pods Manifest.lock */ = {
  402 + 6F4CF912241B66B2163C0256 /* [CP] Check Pods Manifest.lock */ = {
401 403 isa = PBXShellScriptBuildPhase;
402 404 buildActionMask = 2147483647;
403 405 files = (
... ... @@ -412,35 +414,33 @@
412 414 outputFileListPaths = (
413 415 );
414 416 outputPaths = (
415   - "$(DERIVED_FILE_DIR)/Pods-CNLiveBLoginModule_Example-checkManifestLockResult.txt",
  417 + "$(DERIVED_FILE_DIR)/Pods-CNLiveBLoginModule_Tests-checkManifestLockResult.txt",
416 418 );
417 419 runOnlyForDeploymentPostprocessing = 0;
418 420 shellPath = /bin/sh;
419 421 shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
420 422 showEnvVarsInLog = 0;
421 423 };
422   - FC7F634D4BA3ADBEED846358 /* [CP] Copy Pods Resources */ = {
  424 + FB82CB4346E92958307849D9 /* [CP] Check Pods Manifest.lock */ = {
423 425 isa = PBXShellScriptBuildPhase;
424 426 buildActionMask = 2147483647;
425 427 files = (
426 428 );
  429 + inputFileListPaths = (
  430 + );
427 431 inputPaths = (
428   - "${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh",
429   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBLoginModule/CNLiveBLoginModule.bundle",
430   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBUserAgreement/CNLiveBUserAgreement.bundle",
431   - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveShareToolKit/CNLiveShareToolKit.bundle",
432   - "${PODS_ROOT}/WeiboSDK/libWeiboSDK/WeiboSDK.bundle",
  432 + "${PODS_PODFILE_DIR_PATH}/Podfile.lock",
  433 + "${PODS_ROOT}/Manifest.lock",
  434 + );
  435 + name = "[CP] Check Pods Manifest.lock";
  436 + outputFileListPaths = (
433 437 );
434   - name = "[CP] Copy Pods Resources";
435 438 outputPaths = (
436   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBLoginModule.bundle",
437   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBUserAgreement.bundle",
438   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveShareToolKit.bundle",
439   - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/WeiboSDK.bundle",
  439 + "$(DERIVED_FILE_DIR)/Pods-CNLiveBLoginModule_Example-checkManifestLockResult.txt",
440 440 );
441 441 runOnlyForDeploymentPostprocessing = 0;
442 442 shellPath = /bin/sh;
443   - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBLoginModule_Example/Pods-CNLiveBLoginModule_Example-resources.sh\"\n";
  443 + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
444 444 showEnvVarsInLog = 0;
445 445 };
446 446 /* End PBXShellScriptBuildPhase section */
... ...